ApiTimeSeriesMetadata (cloudera-manager-api-swagger 7.13.1 API)
Date: 2026-05-19

com.cloudera.api.swagger.model

## Class ApiTimeSeriesMetadata

- java.lang.Object
- - com.cloudera.api.swagger.model.ApiTimeSeriesMetadata

-     @Generated(value="io.swagger.codegen.v3.generators.java.JavaClientCodegen",
                 date="2026-05-19T08:00:51.241Z[Etc/UTC]")
      public class ApiTimeSeriesMetadata
      extends Object

  Metadata for a time series.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApiTimeSeriesMetadata()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ApiTimeSeriesMetadata` | `addUnitDenominatorsItem(String unitDenominatorsItem)`
    `ApiTimeSeriesMetadata` | `addUnitNumeratorsItem(String unitNumeratorsItem)`
    `ApiTimeSeriesMetadata` | `alias(String alias)`
    `ApiTimeSeriesMetadata` | `attributes(Map<String,String> attributes)`
    `ApiTimeSeriesMetadata` | `endTime(String endTime)`
    `ApiTimeSeriesMetadata` | `entityName(String entityName)`
    `boolean` | `equals(Object o)`
    `ApiTimeSeriesMetadata` | `expression(String expression)`
    `String` | `getAlias()` The alias for this stream's metric.
    `Map<String,String>` | `getAttributes()` The attributes for the time series.
    `String` | `getEndTime()` The end time for the time series.
    `String` | `getEntityName()` The display name for the entity associated with this time series.
    `String` | `getExpression()` The tsquery expression that could be used to extract just this stream.
    `BigDecimal` | `getMetricCollectionFrequencyMs()` The minimum frequency at which the underlying metric for this stream is collected.
    `String` | `getMetricName()` The metric name for the time series.
    `String` | `getRollupUsed()` The aggregate rollup for the returned data.
    `String` | `getStartTime()` The start time for the time series.
    `List<String>` | `getUnitDenominators()` The denominators of the units for the time series.
    `List<String>` | `getUnitNumerators()` The numerators of the units for the time series.
    `int` | `hashCode()`
    `ApiTimeSeriesMetadata` | `metricCollectionFrequencyMs(BigDecimal metricCollectionFrequencyMs)`
    `ApiTimeSeriesMetadata` | `metricName(String metricName)`
    `ApiTimeSeriesMetadata` | `putAttributesItem(String key, String attributesItem)`
    `ApiTimeSeriesMetadata` | `rollupUsed(String rollupUsed)`
    `void` | `setAlias(String alias)`
    `void` | `setAttributes(Map<String,String> attributes)`
    `void` | `setEndTime(String endTime)`
    `void` | `setEntityName(String entityName)`
    `void` | `setExpression(String expression)`
    `void` | `setMetricCollectionFrequencyMs(BigDecimal metricCollectionFrequencyMs)`
    `void` | `setMetricName(String metricName)`
    `void` | `setRollupUsed(String rollupUsed)`
    `void` | `setStartTime(String startTime)`
    `void` | `setUnitDenominators(List<String> unitDenominators)`
    `void` | `setUnitNumerators(List<String> unitNumerators)`
    `ApiTimeSeriesMetadata` | `startTime(String startTime)`
    `String` | `toString()`
    `ApiTimeSeriesMetadata` | `unitDenominators(List<String> unitDenominators)`
    `ApiTimeSeriesMetadata` | `unitNumerators(List<String> unitNumerators)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ApiTimeSeriesMetadata

          public ApiTimeSeriesMetadata()

  - ### Method Detail

    - #### metricName

          public ApiTimeSeriesMetadata metricName(String metricName)

    - #### getMetricName

          public String getMetricName()

      The metric name for the time series.
      Returns:
        metricName

    - #### setMetricName

          public void setMetricName(String metricName)

    - #### entityName

          public ApiTimeSeriesMetadata entityName(String entityName)

    - #### getEntityName

          public String getEntityName()

      The display name for the entity associated with this time series. For example, if this was a time series for an HDFS service the entity name might be something like \"My HDFS Service\". If it was for a host it might be something like \"myhost.mysite.com\".
      Returns:
        entityName

    - #### setEntityName

          public void setEntityName(String entityName)

    - #### startTime

          public ApiTimeSeriesMetadata startTime(String startTime)

    - #### getStartTime

          public String getStartTime()

      The start time for the time series.
      Returns:
        startTime

    - #### setStartTime

          public void setStartTime(String startTime)

    - #### endTime

          public ApiTimeSeriesMetadata endTime(String endTime)

    - #### getEndTime

          public String getEndTime()

      The end time for the time series.
      Returns:
        endTime

    - #### setEndTime

          public void setEndTime(String endTime)

    - #### attributes

          public ApiTimeSeriesMetadata attributes(Map<String,String> attributes)

    - #### putAttributesItem

          public ApiTimeSeriesMetadata putAttributesItem(String key,
                                                         String attributesItem)

    - #### getAttributes

          public Map<String,String> getAttributes()

      The attributes for the time series. Note that the entityName entry in this map is not the same as the entityName field in this ApiTimeSeriesMetadata. The entityName entry in this map is a unique identifier for the entity and not the name displayed in the UI. For example, if this was a time series for the YARN Job History Server the entityName entry in this map might be something like \"yarn-JOBHISTORY-6bd17ceb1489aae93fef4c867350d0dd\"
      Returns:
        attributes

    - #### setAttributes

          public void setAttributes(Map<String,String> attributes)

    - #### unitNumerators

          public ApiTimeSeriesMetadata unitNumerators(List<String> unitNumerators)

    - #### addUnitNumeratorsItem

          public ApiTimeSeriesMetadata addUnitNumeratorsItem(String unitNumeratorsItem)

    - #### getUnitNumerators

          public List<String> getUnitNumerators()

      The numerators of the units for the time series.
      Returns:
        unitNumerators

    - #### setUnitNumerators

          public void setUnitNumerators(List<String> unitNumerators)

    - #### unitDenominators

          public ApiTimeSeriesMetadata unitDenominators(List<String> unitDenominators)

    - #### addUnitDenominatorsItem

          public ApiTimeSeriesMetadata addUnitDenominatorsItem(String unitDenominatorsItem)

    - #### getUnitDenominators

          public List<String> getUnitDenominators()

      The denominators of the units for the time series.
      Returns:
        unitDenominators

    - #### setUnitDenominators

          public void setUnitDenominators(List<String> unitDenominators)

    - #### expression

          public ApiTimeSeriesMetadata expression(String expression)

    - #### getExpression

          public String getExpression()

      The tsquery expression that could be used to extract just this stream.
      Returns:
        expression

    - #### setExpression

          public void setExpression(String expression)

    - #### alias

          public ApiTimeSeriesMetadata alias(String alias)

    - #### getAlias

          public String getAlias()

      The alias for this stream's metric. Aliases correspond to use of the 'as' keyword in the tsquery.
      Returns:
        alias

    - #### setAlias

          public void setAlias(String alias)

    - #### metricCollectionFrequencyMs

          public ApiTimeSeriesMetadata metricCollectionFrequencyMs(BigDecimal metricCollectionFrequencyMs)

    - #### getMetricCollectionFrequencyMs

          public BigDecimal getMetricCollectionFrequencyMs()

      The minimum frequency at which the underlying metric for this stream is collected. Note that this can be null if the stream returns irregularly sampled data.
      Returns:
        metricCollectionFrequencyMs

    - #### setMetricCollectionFrequencyMs

          public void setMetricCollectionFrequencyMs(BigDecimal metricCollectionFrequencyMs)

    - #### rollupUsed

          public ApiTimeSeriesMetadata rollupUsed(String rollupUsed)

    - #### getRollupUsed

          public String getRollupUsed()

      The aggregate rollup for the returned data. This can be TEN_MINUTELY, HOURLY, SIX_HOURLY, DAILY, or WEEKLY.
      Returns:
        rollupUsed

    - #### setRollupUsed

          public void setRollupUsed(String rollupUsed)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2026. All rights reserved.